Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::InterpretationRuleModbusSpecificError Struct Reference

InterpretationRuleModbusSpecificError is applied to specific errors from libmodbus. More...

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleModbusSpecificError:

## Public Attributes

vector< ModbusCfg::SpecificModbusErrors > | errors
| list of specific libmodbus error codes
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable

## Detailed Description

InterpretationRuleModbusSpecificError is applied to specific errors from libmodbus.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl